std::atomic< short > Struct Reference
Atomics

`#include <atomic>`

Inherits __atomic_base< short >.

## Public Types

typedef __atomic_base< short > | __base_type
typedef short | __integral_type

## Public Member Functions

constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
atomic & | operator= (const atomic &) volatile=delete
atomic & | operator= (const atomic &)=delete

## Detailed Description

Explicit specialization for short.

Definition at line 781 of file atomic.

## Member Typedef Documentation

## __base_type

typedef __atomic_base<short> std::atomic< short >::__base_type

Definition at line 784 of file atomic.

## __integral_type

typedef short std::atomic< short >::__integral_type

Definition at line 783 of file atomic.

## Constructor & Destructor Documentation

## atomic()

constexpr std::atomic< short >::atomic | ( | __integral_type | __i | ) |

inline constexpr noexcept

Definition at line 792 of file atomic.

The documentation for this struct was generated from the following file:

- atomic